%define name	homebank
%define version	5.1.2
%define release	%mkrel 1

Summary:        Free easy personal accounting for all  
Summary(de): Freies einfache persönliche Kontoführung für alle. 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group:      Office
License:    GPLv2+
URL:        http://homebank.free.fr
Source:     %{name}-%{version}.tar.xz
Source1:	splash.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ofx-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
#-------------------------------------
Requires:	libofx >= 0.9.0


%description
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allows you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.

%description -l sr
HomeBank је слободан софтвер који Вам помаже да управљате својим личним
рачунима код куће. Основни концепт је да буде једноставан и лак за коришћење.
Он вам доноси бројне функције које Вам омогућавају да анализирате финансије до детаља
као и динамички извештај са моћним алатима заснованим на
филтрирању и графиконима.

%description -l de
Homebank ist die freie Software, die Sie sich für Ihre persönliche Kontoführung zu Hause gewünscht haben. 
Das Hauptkonzept ist es, leicht und einfach benutzbar zu sein.

Es liefert viele Funktionen, die Ihnen ermöglichen, Ihre Finanzen ausführlich, mit mächtigen 
Berichtwerkzeugen, die auf Filter und graphischen Tabellen basieren sofort und dynamisch zu analysieren. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL='install -p'
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Finances" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/homebank/images
cp -a pixmaps/hicolor_apps_48x48_homebank.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/homebank.png 

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README doc/TODO
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/images
%{_datadir}/%{name}/icons/hicolor/*/*/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/%{name}/help
%{_datadir}/homebank/datas/
%{_datadir}/appdata/homebank.appdata.xml

%changelog
* Tue Jan 17 2017 adrianomorselli <adrianomorselli> 5.1.2-1uplos2017
- rebuild

* Sat Dec 10 2016 bb <bb> 5.1.2-1pclos2016
- update

* Tue Nov 22 2016 bb <bb> 5.1.1-1pclos2016
- update


